For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
      • GETList brands
      • POSTCreate brand
      • PUTUpsert brand
      • GETRetrieve brand
      • PATCHUpdate brand
      • Brand
  • Customer Request API
  • Management API
LogoLogo
Network APIBrands

Create brand

POST
/brands
POST
/network/v1/brands
$curl -X POST https://api.cash.app/network/v1/brands \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent" \
> -H "Content-Type: application/json" \
> -d '{
> "idempotency_key": "e345c3fb-1caa-46fd-b0d3-aa6c7b00ab19",
> "brand": {
> "name": "brand name",
> "reference_id": "reference ID",
> "profile_image_url": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Earth_from_Space.jpg/480px-Earth_from_Space.jpg",
> "color": "#ffffff",
> "metadata": {
> "key": "value"
> }
> }
>}'
1{
2 "brand": {
3 "id": "string",
4 "name": "string",
5 "created_at": "2021-01-01T00:00:00Z",
6 "updated_at": "2021-01-01T00:00:00Z",
7 "reference_id": "example-id",
8 "color": "#ffffff",
9 "profile_image_url": "https://franklin-assets.s3.amazonaws.com/merchants/assets/v3/generic/m_category_business.png",
10 "metadata": {}
11 }
12}

Creates a new brand with the given attributes.

This endpoint is not rate limited.

Scopes: BRANDS_WRITE

Was this page helpful?
Previous

Upsert brand

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

idempotency_keystringRequired1-64 characters

A unique identifier which can be used by Cash App to de-duplicate retries of this request, making it idempotent. For more information, see Idempotency.

brandobjectRequired
Details about the brand to create.

Response

Created
brandobject
A brand is the entity a customer perceives that they are transacting with.

Errors

400
Bad Request Error